Name:       perl-DateTime-Format-Excel 
Version:    0.2901 
Release:    5%{?dist}
# lib/DateTime/Format/Excel.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Convert between DateTime and Excel dates 
Source:     http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-Format-Excel-%{version}.tar.gz 
Patch0:     perl-DateTime-Format-Excel-0.2901-versioning.patch
Url:        http://search.cpan.org/dist/DateTime-Format-Excel
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(DateTime) >= 0.18
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(Test::Pod)

%description
Excel uses a different system for its dates than most Unix programs.
This module allows you to convert between a few of the Excel raw formats
and DateTime objects, which can then be further converted via any of
the other DateTime::Format::* modules, or just with DateTime's
methods.If you happen to be dealing with dates between 1 Jan 1900 and 1
Mar 1900 please read the notes on EPOCHS. If you're wanting to handle
actual spreadsheet files, you may find the Spreadsheet::WriteExcel
manpage and the Spreadsheet::ParseExcel manpage of use.

%prep
%setup -q -n DateTime-Format-Excel-%{version}
%patch0 -p1 -b .versioning

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
# nuke failing signature test
rm t/00sig*
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README COPYING AUTHORS Artistic CREDITS
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.2901-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.2901-4
- rebuild against perl 5.10.1

* Fri Jul 24 2009 Robert Scheck <robert@fedoraproject.org> 0.2901-3
- Fixed broken upstream build requirement for perl(DateTime), as
  per RPM versioning 0.1705 > 0.50, but 0.50 is newer than 0.1705

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2901-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.2901-1
- prep for submission

* Thu Feb 05 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.2901-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

